Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 449300 - app-portage/gentoolkit : `equery u webmin` returns 'ssl' two times
Summary: app-portage/gentoolkit : `equery u webmin` returns 'ssl' two times
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage Tools Team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 346443
  Show dependency tree
 
Reported: 2012-12-30 13:29 UTC by Agostino Sarubbo
Modified: 2013-09-05 17:15 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2012-12-30 13:29:37 UTC
ia64 ~ # equery u webmin
[ Legend : U - final flag setting for installation]
[        : I - package is installed with flag     ]
[ Colors : set, unset                             ]
 * Found these USE flags for app-admin/webmin-1.610:
 U I
 - - ldap     : Adds LDAP support (Lightweight Directory Access Protocol)
 - - minimal  : Install a very minimal build (disables, for example, plugins, fonts, most drivers,
                non-critical features)
 - - mysql    : Adds mySQL Database support                                                                                                                                         
 - - postgres : Adds support for the postgresql database                                                                                                                            
 + + ssl      : Adds support for Secure Socket Layer connections                                                                                                                    
 + + ssl      : Adds support for Secure Socket Layer connections


there is no trace of ssl in its metadata.xml, so I guess it is a bug of equery.

[I] app-portage/gentoolkit
     Available versions:  0.3.0.6-r3 0.3.0.7 **9999
     Installed versions:  0.3.0.7(19:38:52 12/19/12)
     Homepage:            http://www.gentoo.org/proj/en/portage/tools/index.xml
     Description:         Collection of administration scripts for Gentoo
Comment 1 Brian Dolbec gentoo-dev 2012-12-30 18:34:45 UTC
ok, I've traced it back to portage's aux_get() again.

I already had code to eliminate dupes which it can return, but since ssl is defaulted on +ssl it fails to filter the ssl dupe.  I had just been using a python set to eliminate the dupes.

Looks like I'll have to do a little more filtering :/
Comment 2 Brian Dolbec gentoo-dev 2012-12-30 20:31:22 UTC
ok, fixed in commit:

http://git.overlays.gentoo.org/gitweb/?p=proj/gentoolkit.git;a=commit;h=9dc72ec11c464f1fad4ddca0608a0593be23b9b5

now to fix it in porthole too, after all that is where I got the code for equery from.
Comment 3 Paul Varner (RETIRED) gentoo-dev 2013-09-05 17:15:23 UTC
Released in gentoolkit-0.3.0.8